Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model
Class Node

    |
    +--ru.biosoft.access.MutableDataElementSupport
      |
      +--biouml.model.DiagramElement
            |
            +--biouml.model.Node

Direct Known Subclasses:
  Compartment

public class Node
extends DiagramElement

Diagram node element

Field Summary
`View` | `background` The node background.

Constructor Summary
`Node(DataCollection parent, String name, Base kernel)`
`Node(DataCollection parent, Base kernel)`

Method Summary
`void` | `addEdge(Edge edge)`
`DiagramElement` | `clone(Compartment newParent, String newName)`
`Iterator` | `edgeIterator()`
`static DataCollection` | `findCommonOrigin(DataCollection first, DataCollection second)`
`View` | `getBackground()`
`Edge[]` | `getEdges()`
`ImageDescriptor` | `getImage()`
`Point` | `getLocation()`
`Dimension` | `getShapeSize()`
`boolean` | `isBackgroundHidden()`
`boolean` | `isFixed()`
`boolean` | `isNotResizable()`
`void` | `removeEdge(Edge edge)`
`void` | `setBackground(View background)`
`void` | `setFixed(boolean fixed)`
`void` | `setImage(ImageDescriptor image)`
`void` | `setLocation(Point location)`
`void` | `setLocation(int x, int y)`
`void` | `setRelativeLocation(Diagram diagram, Point location)`
`void` | `setShapeSize(Dimension shapeSize)`

Methods inherited from class biouml.model.DiagramElement
`getComment, getKernel, getRole, getTitle, getView, isKernelHidden, isRoleHidden, setComment, setKernel, setRole, setTitle, setView`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Field Detail

### background

    public View background

  The node background.

Constructor Detail

### Node

    public Node(DataCollection parent, String name, Base kernel)

### Node

    public Node(DataCollection parent, Base kernel)

Method Detail

### addEdge

    public void addEdge(Edge edge)

### clone

    public DiagramElement clone(Compartment newParent, String newName)

### edgeIterator

    public Iterator edgeIterator()

### findCommonOrigin

    public static DataCollection findCommonOrigin(DataCollection first, DataCollection second)

### getBackground

    public View getBackground()

### getEdges

    public Edge[] getEdges()

### getImage

    public ImageDescriptor getImage()

### getLocation

    public Point getLocation()

### getShapeSize

    public Dimension getShapeSize()

### isBackgroundHidden

    public boolean isBackgroundHidden()

### isFixed

    public boolean isFixed()

### isNotResizable

    public boolean isNotResizable()

### removeEdge

    public void removeEdge(Edge edge)

### setBackground

    public void setBackground(View background)

### setFixed

    public void setFixed(boolean fixed)

### setImage

    public void setImage(ImageDescriptor image)

### setLocation

    public void setLocation(Point location)

  pending verify new location

### setLocation

    public void setLocation(int x, int y)

### setRelativeLocation

    public void setRelativeLocation(Diagram diagram, Point location)

### setShapeSize

    public void setShapeSize(Dimension shapeSize)

Association Links

to Class java.awt.Point

to Class java.awt.Dimension

  This property will be used only if {@link SemanticController} beleives that node is resizable. Generally Compartment shape is resizable by default.

to Class ru.biosoft.graphics.View

  The node background.

to Class biouml.standard.type.ImageDescriptor

  Arbitrary image can be assitiated with diagram node element.

to Class java.util.ArrayList

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM